{% extends 'site_base.html' %}
{% load static %}
{% load crispy_forms_tags %}
{% load humanize %}


{% block content %}
<head>
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <link rel="stylesheet" type="text/css" href="{% static 'css/new-style.css' %}">
    <script src="{% static 'js/product_list.js' %}"></script>
    <link rel="stylesheet" href="{% static 'css/jquery.toast.css' %}">

    <script type="text/javascript" src="{% static 'js/jquery.toast.js' %}"></script>
</head>

<form method="POST" >
  {% csrf_token %}
  <div class="box-header with-border">
    <span id="btn-back" class="glyphicon glyphicon-circle-arrow-left"></span>
    
    <h1 style="font-size: 28px;" class="box-title">Email and Sms templates</h1>
    
</div>
  <section class="content">
      


        <div class="box box-primary">
            
                <title>email or sms templates </title>
            
        
           
        <div class="box-body">
        <div class="form-group col-md-12 col-sm-12">
             
            <div id="div_id_alerts" class="form-group">
            <label for="id_alerts" class="control-label  requiredField">
              Alerts<span class="asteriskField">*</span>
            </label>
          <div class="controls ">
            <select name="alerts" required  class="select form-control" id="id_alerts">
          {% if querystring %}
          <option {% if querystring == 'New_order_placed' %}selected{% endif %} value="New_order_placed">New order placed</option>
        
          <option {% if querystring == 'Dispatch_Delivered' %}selected{% endif %}  value="Dispatch_Delivered">Dispatch/Delivered</option>
        
          <option {% if querystring == 'EOD_Summary_of_Sales' %}selected{% endif %}  value="EOD_Summary_of_Sales">EOD Summary of Sales</option>
        
          <option {% if querystring == 'Order_Cancelled' %}selected{% endif %}  value="Order_Cancelled">Order Cancelled</option>
        
          <option  {% if querystring == 'Payment_Updated_Received' %}selected{% endif %}  value="Payment_Updated_Received">Payment Updated Received</option>
          
            {% else %}
          
          <option {% if alerts.alertstype == 'New_order_placed' %}selected{% endif %} value="New_order_placed">New order placed</option>
        
          <option {% if alerts.alertstype == 'Dispatch_Delivered' %}selected{% endif %}  value="Dispatch_Delivered">Dispatch/Delivered</option>
        
          <option {% if alerts.alertstype == 'EOD_Summary_of_Sales' %}selected{% endif %}  value="EOD_Summary_of_Sales">EOD Summary of Sales</option>
        
          <option {% if alerts.alertstype == 'Order_Cancelled' %}selected{% endif %}  value="Order_Cancelled">Order Cancelled</option>
        
          <option  {% if alerts.alertstype == 'Payment_Updated_Received' %}selected{% endif %}  value="Payment_Updated_Received">Payment Updated Received</option>
          {% endif %}
        
        </select></div>
          
            </div>
       </div>
    <div class="form-group col-md-12 col-sm-12">
   
            <div id="div_id_Action" class="form-group">
                
                    <label for="id_Action" class="control-label  requiredField">
                            Action<span class="asteriskField">*</span>
                    </label>
        <div class="controls ">
             <select name="Action" onchange="return ddlchange();" required class="select form-control" id="id_Action">
          <option {% if alerts.sendtype == 'email' %}selected{% endif %} value="email">EMAIL</option>
        
          <option {% if alerts.sendtype == 'sms' %}selected{% endif %} value="sms">SMS</option>
        
          <option {% if alerts.sendtype == 'both' %}selected{% endif %} value="both">BOTH</option>
        </select>
        </div>
        </div>
        </div>       
        <div id="email_sms">
        <div id="Subject" class="form-group col-md-12 col-sm-12">
            <h4 id="email_txt" style="display: none">E-mail</h4>
            <div id="div_id_Subject" style="display: block" class="form-group">
                
                    <label for="id_Action" class="control-label  requiredField">
                            Subject<span class="asteriskField">*</span>
                    </label>
        <div class="controls ">        
          <input type="textbox" class="select form-control" name="subject">
        </div>
        </div>
        </div> 
        <div class="form-group col-md-12 col-sm-12">
   
            <div id="div_id_Subject" class="form-group">
                
                    <label for="id_Action" class="control-label  requiredField">
                            Content<span class="asteriskField">*</span>
                    </label>
        <div>        
          <textarea name="Content" id="Content" class="select form-control" cols="30" rows="10"></textarea>
        </div>
        </div>
        </div> 
        
        </div> 
        <div id="email_sms_both" style="display: none">   
            
            <div class="form-group col-md-12 col-sm-12">
                <h4 id="sms_txt" style="display: none">SMS</h4>
                <div id="div_id_Subject" class="form-group">
                    
                        <label for="id_Action" class="control-label  requiredField">
                                Content<span class="asteriskField">*</span>
                        </label>
            <div>        
              <textarea name="Content_sms" id="Content" class="select form-control" cols="30" rows="10"></textarea>
            </div>
            </div>
            </div> 
            
            </div> 
                    <div class="form-group col-md-12 col-sm-12 text-right">
                        <input type="submit" value="Submit" class="btn btn-primary">
                    </div>
        
                </div>
            </form>
        </div>
        
        
        
            </section>

  </form>

{% endblock %}

{% block extra_script_block %}
    {{ block.super }}
    <script>
        

        function ddlchange(){
            debugger;
           var data=$('#id_Action').val();
           if (data=='sms'){
            $('#Subject').css('display', 'none')
            $('#email_sms_both').css('display', 'none')
            $('#email_txt').css('display', 'none')
            $('#sms_txt').css('display', 'none')
           }
           else if(data=='email'){
            $('#Subject').css('display', 'block')
            $('#email_sms_both').css('display', 'none')
            $('#email_txt').css('display', 'none')
            $('#sms_txt').css('display', 'none')
           }
           else{
            $('#Subject').css('display', 'block')
            $('#email_sms_both').css('display', 'block')
            $('#email_txt').css('display', 'block')
            $('#sms_txt').css('display', 'block')
            
           }
           return true
        }
    </script>
{% endblock %}
